﻿.search {
    position: relative; /* ← clave para posicionar el icono dentro */
    display: inline-block;
}

.search__input {
    font-family: inherit;
    font-size: inherit;
    background-color: #f4f2f2;
    border: none;
    color: #646464;
    padding: 0.7rem 2.5rem 0.7rem 1rem; /* espacio extra a la derecha */
    border-radius: 30px;
    width: 12em;
    transition: all ease-in-out .5s;
}

    .search__input:focus {
        outline: none;
        background-color: #f0eeee;
        box-shadow: 0 0 0.5em #00000013;
    }

.search__button {
    position: absolute;
    right: 0.6rem;
    top: 50%;
    transform: translateY(-50%);
    border: none;
    background: none;
    cursor: pointer;
    padding: 0;
}

.search__icon {
    height: 1.2em;
    width: 1.2em;
    fill: #b4b4b4;
}
